> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List available Helm charts



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/stacks/charts
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/stacks/charts:
    get:
      tags:
        - Charts
      summary: List available Helm charts
      operationId: list_charts_endpoint_api_v1_org_stacks_charts_get
      parameters:
        - description: Only show subscribed charts
          in: query
          name: only_subscribed
          required: false
          schema:
            default: true
            description: Only show subscribed charts
            examples:
              - true
            title: Only Subscribed
            type: boolean
        - description: Page number
          in: query
          name: page
          required: false
          schema:
            default: 1
            description: Page number
            examples:
              - 1
            minimum: 1
            title: Page
            type: integer
        - description: Number of items per page
          in: query
          name: page_size
          required: false
          schema:
            default: 25
            description: Number of items per page
            examples:
              - 25
            maximum: 1500
            minimum: 1
            title: Page Size
            type: integer
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListChartsResult'
          description: Charts retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListChartsResult:
      properties:
        charts:
          description: List of charts
          items:
            $ref: '#/components/schemas/ChartItem'
          title: Charts
          type: array
        pagination:
          $ref: '#/components/schemas/usecase__global_stacks__list_charts__Pagination'
          description: Pagination information
      required:
        - charts
        - pagination
      title: ListChartsResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ChartItem:
      properties:
        chart_id:
          description: Unique chart identifier
          example: 550e8400-e29b-41d4-a716-446655440000
          format: uuid4
          title: Chart Id
          type: string
        description:
          description: Chart description
          example: NGINX web server
          title: Description
          type: string
        icon:
          description: Chart icon URL
          example: https://example.com/icon.png
          title: Icon
          type: string
        name:
          description: Chart name
          example: nginx
          title: Name
          type: string
        registry_credential_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Registry credential name if authentication required
          example: my-registry-creds
          title: Registry Credential Name
        repository_id:
          description: Repository identifier
          example: 660e8400-e29b-41d4-a716-446655440001
          format: uuid4
          title: Repository Id
          type: string
        repository_name:
          description: Repository name
          example: bitnami
          title: Repository Name
          type: string
        repository_url:
          description: Repository URL
          example: https://charts.bitnami.com/bitnami
          title: Repository Url
          type: string
        version:
          description: Chart version
          example: 1.2.3
          title: Version
          type: string
      required:
        - chart_id
        - name
        - description
        - repository_name
        - repository_url
        - repository_id
        - icon
        - version
      title: ChartItem
      type: object
    usecase__global_stacks__list_charts__Pagination:
      properties:
        page:
          description: Current page number
          example: 1
          title: Page
          type: integer
        page_size:
          description: Number of items per page
          example: 25
          title: Page Size
          type: integer
        total_count:
          description: Total number of items
          example: 250
          title: Total Count
          type: integer
        total_pages:
          description: Total number of pages
          example: 10
          title: Total Pages
          type: integer
      required:
        - page
        - page_size
        - total_pages
        - total_count
      title: Pagination
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````